summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Reza Talebi2020-03-14 00:34:39 +0100
committer Willy Sudiarto Raharjo2020-03-14 00:34:52 +0100
commita7756bc0da0c42617dfdeef87ddca4eca4c85329 (patch)
tree5f8c64740fd6807bdeefa20af6d73bf5c5351773 /network
parent516a405d6ab55ce3b827b9edbf41f40a2f292fa4 (diff)
downloadslackbuilds-a7756bc0da0c42617dfdeef87ddca4eca4c85329.tar.gz
network/windscribe: Added (Browse the web privately).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/windscribe/README18
-rw-r--r--network/windscribe/doinst.sh13
-rw-r--r--network/windscribe/rc.windscribe79
-rw-r--r--network/windscribe/slack-desc19
-rw-r--r--network/windscribe/windscribe.SlackBuild74
-rw-r--r--network/windscribe/windscribe.info10
6 files changed, 213 insertions, 0 deletions
diff --git a/network/windscribe/README b/network/windscribe/README
new file mode 100644
index 0000000000..d9a9bd4fcd
--- /dev/null
+++ b/network/windscribe/README
@@ -0,0 +1,18 @@
+Windscribe VPN is a Canada-based provider that promises to help you
+browse the web privately. It contains a set of tools that work
+together to block ad trackers and web beacons, restore access to
+blocked content and help you safeguard your privacy online.
+You can use Windscribe for free, for as long as you like.
+With a confirmed email address you get 10GB/month of data
+and access to over 10 countries.
+
+The following can be used to start/stop Windscribe automatically:
+/etc/rc.d/rc.local
+ if [ -x /etc/rc.d/rc.windscribe ]; then
+ /etc/rc.d/rc.windscribe start
+ fi
+
+/etc/rc.d/rc.local_shutdown
+ if [ -x /etc/rc.d/rc.windscribe ]; then
+ /etc/rc.d/rc.windscribe stop
+ fi
diff --git a/network/windscribe/doinst.sh b/network/windscribe/doinst.sh
new file mode 100644
index 0000000000..50669a07b6
--- /dev/null
+++ b/network/windscribe/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /etc/rc.d/rc.windscribe ]; then
+ /etc/rc.d/rc.windscribe restart
+fi
diff --git a/network/windscribe/rc.windscribe b/network/windscribe/rc.windscribe
new file mode 100644
index 0000000000..8341cd89c1
--- /dev/null
+++ b/network/windscribe/rc.windscribe
@@ -0,0 +1,79 @@
+#!/usr/bin/env bash
+
+
+
+PRGNAM=windscribe
+PID=/var/run/$PRGNAM.pid
+DAEMON=/usr/bin/windscribe
+
+
+#
+# Function that starts the daemon
+#
+windscribe_start()
+{
+ if [ -s $PID ]; then
+ echo "$PRGNAM is already running: $(cat $PID)"
+ exit 1
+ fi
+
+ if [ -x $DAEMON ]; then
+ $DAEMON start
+ pidof $DAEMON > $PID
+ fi
+}
+
+#
+# Function that stops the daemon
+#
+windscribe_stop()
+{
+ if [ -s $PID ]; then
+ $DAEMON stop
+ rm -rf $PID
+ else
+ echo "$PRGNAM is not running."
+ fi
+}
+
+#
+# Function that restarts the daemon
+#
+windscribe_restart()
+{
+ windscribe_stop
+ sleep 1
+ windscribe_start
+}
+
+#
+# Function that shows the current status of the daemon
+#
+windscribe_status()
+{
+ if [ -s $PID ]; then
+ echo "$PRGNAM is running: $(cat $PID)"
+ else
+ echo "$PRGNAM is not running."
+ fi
+}
+
+
+case "$1" in
+ start)
+ windscribe_start
+ ;;
+ stop)
+ windscribe_stop
+ ;;
+ restart)
+ windscribe_restart
+ ;;
+ status)
+ windscribe_status
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
diff --git a/network/windscribe/slack-desc b/network/windscribe/slack-desc
new file mode 100644
index 0000000000..44efc4ade4
--- /dev/null
+++ b/network/windscribe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+windscribe: windscribe (Browse the web privately.)
+windscribe:
+windscribe: Windscribe VPN is a Canada-based provider that promises to help you
+windscribe: browse the web privately. It contains a set of tools that work
+windscribe: together to block ad trackers and web beacons, restore access to
+windscribe: blocked content and help you safeguard your privacy online.
+windscribe: You can use Windscribe for free, for as long as you like. With a
+windscribe: confirmed email address you get 10GB/month of data.
+windscribe:
+windscribe: https://www.windscribe.com/
+windscribe:
diff --git a/network/windscribe/windscribe.SlackBuild b/network/windscribe/windscribe.SlackBuild
new file mode 100644
index 0000000000..215c2b719f
--- /dev/null
+++ b/network/windscribe/windscribe.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+#
+# Slackware build script for Windscribe.
+#
+# Copyright 2020 Reza Talebi, Shahin Shahr, Iran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=windscribe
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-52}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BITS="amd64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}
+mkdir -p $PRGNAM-${VERSION}
+cd $PKG
+rpm2cpio $CWD/$PRGNAM-cli-${VERSION}-${BUILD}.${ARCH}.rpm | cpio -idmv
+rm -rf usr/lib
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+mkdir -p $PKG/etc/rc.d/
+cp $CWD/rc.$PRGNAM $PKG/etc/rc.d/rc.$PRGNAM
+
+cd $PKG
+/sbin/makepkg -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/windscribe/windscribe.info b/network/windscribe/windscribe.info
new file mode 100644
index 0000000000..8ebf338b0c
--- /dev/null
+++ b/network/windscribe/windscribe.info
@@ -0,0 +1,10 @@
+PRGNAM="windscribe"
+VERSION="1.4"
+HOMEPAGE="https://www.windscribe.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://assets.staticnetcontent.com/desktop/linux/windscribe-cli-1.4-52.x86_64.rpm"
+MD5SUM_x86_64="8b04995a4030d4f1c14550dcfe630a34"
+REQUIRES=""
+MAINTAINER="Reza Talebi"
+EMAIL="reza.talebi.73@outlook.com"